mpartition(1)

NAZWA
mpartition - partycjonowanie dysku twardego MSDOS

SKŁADNIA
mpartition -p napęd
mpartition -r napęd
mpartition -I [-B bootSector] napęd
mpartition -a napęd
mpartition -d napęd
mpartition -c [-s sektory] [-h głowice] [-t cylindry] [-v] [-T typ] [-b początek] [-l długość] [-f]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Polecenie mpartition tworzy system plików MS-DOS jako partycję. Przeznaczone jest do wykorzystania w systemach innych niż Linux, tj. w systemach, gdzie brak jest polecenia fdisk i łatwego dostępu do urządzeń SCSI. Polecenie to działa tylko na napędach, dla których ustawiono zmienną partycji.

OPCJE
mpartition obsługuje następujące operacje:

-p  Wyświetla linię poleceń do odtworzenia partycji napędu. Jeżeli dla napędu nie zdefiniowano partycji lub wykryto błędy logiczne, to nie pojawi się żaden wynik. Przy włączonej opcji wyświetlania szczegółów (-v) wyświetla bieżącą tablicę partycji.

-r  Usuwa partycję opisaną przez napęd.

-I  Inicjalizuje tablicę partycji i usuwa wszystkie partycje.

-c  Tworzy partycję opisaną przez napęd.

-a  "Aktywuje" partycję, tj. czyni ją partycją startową (bootable). Równocześnie może istnieć tylko jedna partycja startowa.

-d  "Deaktywuje" partycję, tj. zdejmuje znacznik aktywności ustawiony przez -a. Partycja przestaje być partycją startową.

Jeżeli nie podano żadnej operacji, to wyświetlane są bieżące ustawienia.

Przy tworzeniu partycji dostępne są następujące opcje:

-s sektory
    Liczba sektorów na ścieżkę partycji (jest to również liczba sektorów na ścieżkę dla całego napędu).

-h głowice
    Liczba głowic partycji (jest to również liczba głowic dla całego napędu). Domyślnie informacja o geometrii (liczba sektorów i głowic) wyliczana jest z sąsiednich pozycji tablicy partycji lub odgadywana na podstawie rozmiaru.

-t cylindry
    Liczba cylindrów partycji (nie jest to liczba cylindrów całego napędu).

-b początek
    Początkowy offset partycji, wyrażony w sektorach. Jeśli nie podano początku mpartition rozpoczyna partycję od początku dysku (dla partycji numer 1) lub bezpośrednio za końcem poprzedniej partycji.

-l długość
    Rozmiar (długość) partycji, wyrażona w sektorach. Jeśli nie podano końca, to mpartition wylicza rozmiar na podstawie liczby sektorów, głowic i cylindrów. Jeśli również ich nie podano, nadaje partycji największy możliwy rozmiar, uwzględniając rozmiar dysku i początek następnej partycji.

-T typ
    [dodane przez tłumacza na podstawie pobieżnego przeglądu kodu źródłowego: Typ partycji.
    Na przykład:
        1 FAT 12-bitowy,
        4 FAT 16-bitowy partycja mniejsza niż 32MB,
        6 FAT 16-bitowy >=32MB,
        b Win95 FAT32.
        f Win95 Extended (LBA)
    Opcja ta może być przydatna do "ręcznego" tworzenia partycji rozszerzonych.]

Dla wszystkich operacji modyfikujących tablicę partycji dostępne są opcje:

-f  Zwykle przed zapisem jakichkolwiek zmian partycji mpartition wykonuje pewne sprawdzenia spójności logicznej, jak kontrola nakładania się i prawidłowego wyrównywania partycji. Jeśli któreś z nich zawiedzie, to tablica partycji nie jest zmieniana. -f pozwala na obejście tych zabezpieczeń.

Poniższe opcje dostępne są przy wszystkich operacjach:

-v  W połączeniu z -p wyświetla informację o aktualnej tablicy partycji (bez zmian); albo po zmianach.

-vv Podanie podwojonej flagi włączenia szczegółów powoduje, że mpartition będzie wyświetlać szesnastkowo (hexdump) tablicę partycji przy odczycie i zapisie na urządzenie.

Opcja dostępna przy inicjalizacji tablicy partycji:

-B bootSector
    Czyta wzorcowy główny rekord startowy (master boot record) z pliku bootSector.

UWAGI
Niniejsza, polska wersja dokumentacji, powstała jako tłumaczenie pliku Texinfo pakietu mtools wersji 3.9.6. W stosunku do automatycznie generowanej z Textinfo dokumentacji oryginalnej dokonano przesunięcia sekcji opisującej konwersję dokumentacji do mtools(1). Tam też znajdziesz notę prawną dotyczącą rozpowszechniania, modyfikacji i tłumaczenia dokumentacji pakietu mtools

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 mpartition

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.